Linux presenta un fallo crítico!!!

Un desarrollador de software acaba de descubrir un fallo en la mayoría de las versiones de Linux, que podría permitir a usuarios maliciosos obtener el control completo del sistema operativo de código abierto. Por el momento el fallo de referencia sólo se ha solucionado en el próximo kernel candidato 2.6.32, por lo que todas las versiones de Linux son vulnerables.

La vulnerabilidad fue descubierta hace algunas semanas por Brad Spengler, desarrollador de grsecurity, un fabricante de aplicaciones que mejoran la seguridad de Linux.

Aunque los ataques se pueden impedir implementando una característica común conocida como mmap_min_addr, la distribución Red Hat Enterprise Linux no implementa adecuadamente esta protección, según informó Spengler al portal The Register. Según la misma fuente, incluso la mayoría de los administradores se ven obligados a deshabilitar esta característica para que sus sistemas puedan ejecutar herramientas de desarrollo o entornos de escritorio como Wine.

“Lo que es interesante es que yo descubrí el fallo antes que la gente cuyo trabajo es encontrar este tipo de cosas. Linux tiene equipos enteros de personas para ello y yo soy una persona haciendo esto en mi tiempo libre”, dijo Spengler, quien también criticó a los desarrolladores del sistema open source por no revelar completamente la magnitud de los errores de seguridad.

Por otro lado, The Register publicó que un portavoz de Red Hat afirmó que los parches para las versiones 4 y 5 de RHEL y MRG ya están disponibles ingresando a este enlace, y que una actualización para RHEL 3 está en pruebas y será lanzada a la brevedad.

Fuente: technologycompartida.blogspot.com

Categorías

About Gustavo Martinez

Phd. en computación, Senior Bloguer, Amante de la tecnología móvil, aplicaciones web, educación online.

Deja un comentario

Por favor, usa tu nombre real en vez de un nick.

Time limit is exhausted. Please reload CAPTCHA.